VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Enumerations
VST busses

Bus Description. More...

## Classes
struct | BusInfo
    BusInfo:
This is the structure used with getBusInfo, informing the host about what is a specific given bus. More...

## Enumerations
enum | MediaTypes { kAudio = 0, kEvent, kNumMediaTypes }
| Bus media types. More...
enum | BusDirections { kInput = 0, kOutput }
| Bus directions. More...
enum | BusTypes { kMain = 0, kAux }
| Bus types. More...

## Detailed Description

Bus Description.

A bus can be understood as a "collection of data channels" belonging together. It describes a data input or a data output of the plug-in. A VST component can define any desired number of busses. Dynamic usage of busses is handled in the host by activating and deactivating busses. All busses are initially inactive. The component has to define the maximum number of supported busses and it has to define which of them have to be activated by default after instantiation of the plug-in (This is only a wish, the host is allow to not follow it, and only activate the first bus for example). A host that can handle multiple busses, allows the user to activate busses which are initially all inactive. The kMain busses have to place before any others kAux busses.

See also: IComponent::getBusInfo, IComponent::activateBus

## Enumeration Type Documentation

enum MediaTypes

Bus media types.

Enumerator
kAudio | audio
kEvent | events
kNumMediaTypes |

enum BusDirections

Bus directions.

Enumerator
kInput | input bus
kOutput | output bus

enum BusTypes

Bus types.

Enumerator
kMain | main bus
kAux | auxiliary bus (sidechain)

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.